| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::ParticleSystemRendererFactory Class Referenceabstract
Core » Effects

Abstract class definition of a factory object for ParticleSystemRenderer. More...

`#include <OgreParticleSystemRenderer.h>`

Inheritance diagram for Ogre::ParticleSystemRendererFactory:
[legend]

## Public Member Functions
virtual ParticleSystemRenderer * | createInstance (const String &name)=0
| Creates a new object. More...
virtual void | destroyInstance (ParticleSystemRenderer *ptr)=0
| Destroys an object which was created by this factory. More...
virtual const String & | getType () const=0
| Returns the factory type. More...

## Detailed Description

Abstract class definition of a factory object for ParticleSystemRenderer.

## Member Function Documentation

## ◆ getType()

virtual const String& Ogre::FactoryObj< ParticleSystemRenderer >::getType | ( | void |  | ) | const
| pure virtual inherited

Returns the factory type.

Returns
  The factory type.

Implemented in Ogre::BillboardParticleRendererFactory.

## ◆ createInstance()

virtual ParticleSystemRenderer * Ogre::FactoryObj< ParticleSystemRenderer >::createInstance | ( | const String & | name | ) |
| pure virtual inherited

Creates a new object.

Parameters

  name | Name of the object to create

Returns
  An object created by the factory. The type of the object depends on the factory.

Implemented in Ogre::BillboardParticleRendererFactory.

## ◆ destroyInstance()

virtual void Ogre::FactoryObj< ParticleSystemRenderer >::destroyInstance | ( | ParticleSystemRenderer * | ptr | ) |
| pure virtual inherited

Destroys an object which was created by this factory.

Parameters

  ptr | Pointer to the object to destroy

Implemented in Ogre::BillboardParticleRendererFactory.

The documentation for this class was generated from the following file:

- OgreParticleSystemRenderer.h